
Image Component Library - Feature #96

Fix CMake-driven doxygen Docu generation

2012-08-27 13:03 - Christof Elbrechter

Status: Closed Start date: 2012-08-27

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: icl-8.0   

Description

--

In particular: Let's think twice about the seperate doxygen docus for each package

If we decide to keep this, the CMakeFiles need to be adapted to create a proper "package menu"

otherwise, we'll have to find a better way to define the packages (perhaps, doxygen provides a sub-module feature)

actually, we could use "Groups" in doxygen -> but where do we put the package mainpages then?

or do we only need these in sphinx?

History

#1 - 2012-08-29 11:34 - Christof Elbrechter

- Description updated

#2 - 2012-08-29 11:36 - Christof Elbrechter

OK, new Idea: We'll get rid of the extra package-based doxygen parts

I.e. there will be only a single doxygen documentation. This means we'll have to move the Package main-pages to the sphinx manual aswell.

#3 - 2013-02-14 11:14 - Christof Elbrechter

- Status changed from New to Closed
